MutationObserver = window.MutationObserver || window.WebKitMutationObserver

var observer = new MutationObserver(sendDiceResult)

observer.observe(document.body, { childList: true, subtree: true, })

function sendDiceResult(mutations, observer) {
    for (const mutation of mutations) {
        let diceRollMutation = mutation.target.id == 'noty_layout__bottomRight'
        let isNewDiceRoll = mutation.addedNodes
            .item(0)
            ?.id?.startsWith('noty_bar')
        if (diceRollMutation && isNewDiceRoll) {
            let diceResults = document.body.querySelectorAll(
                '.dice_result__total-result'
            )
            let latestDiceResult = diceResults.item(diceResults.length - 1)
            if (latestDiceResult !== null) {
                sendMessageToBeyondLinkServer(mutation["target"].innerText)
                break
            }
        }
    }
}

function sendMessageToBeyondLinkServer(result) {
	let parts = result.split('\n');	
	let dice = parts[1];
	if(parts[2].indexOf("+")>-1){dice = dice.substring(0,dice.lastIndexOf("+"));}
	if(parts[2].indexOf("-")>-1){dice = dice.substring(0,dice.lastIndexOf("-"));}
	// while(parts[0].indexOf(" ")>-1){parts[0] = parts[0].replace(" ","_");}
	while(dice.indexOf("+")>-1){dice = dice.replace("+",",");}
	
	let url = "talespire://result/"+parts[0]+":"+parts[2]+"/"+dice;
	console.log(url);
	window.open(url, "_blank");
}
